Bug 1571597 - drupal8-rpmbuild missing dependencies
Summary: drupal8-rpmbuild missing dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drupal8
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 08:02 UTC by Sjoerd Mullender
Modified: 2018-05-10 19:13 UTC (History)
1 user (show)

Fixed In Version: drupal8-8.4.8-1.fc28 drupal8-8.4.8-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 21:22:54 UTC


Attachments (Terms of Use)
spec file for a drupal8 extension module that spews warnings and errors when being built (697 bytes, text/plain)
2018-04-25 08:02 UTC, Sjoerd Mullender
no flags Details

Description Sjoerd Mullender 2018-04-25 08:02:39 UTC
Created attachment 1426478 [details]
spec file for a drupal8 extension module that spews warnings and errors when being built

Description of problem:
When building an rpm for a drupal8 module, I use drupal8-rpmbuild.  Building the rpm then spews a lot of PHP Warning and PHP Fatal error messages about a call to require_once failing.  The problem is, the script /usr/lib/rpm/drupal8-find-provides.php which is called during the build contains the lines

require_once '/usr/share/php/Symfony3/Component/Console/autoload.php';
require_once '/usr/share/php/Symfony3/Component/Yaml/autoload.php';

but those files are not on the system.  They should be included as dependency of drupal8-rpmbuild.

My suggestion (but feel free to improve) is to add
Requires: php-symfony3-console, php-symfony3-yaml
to the list of requirements for drupal8-rpmbuild.

Version-Release number of selected component (if applicable):
drupal8-rpmbuild-8.4.6-3.fc27.noarch

How reproducible:
100%

Steps to Reproduce:
1.Build an RPM for a drupal8 extension module, preferably using mock (to get a clean build environment).  The spec file should contain BuildRequires: drupal8-rpmbuild.  (See the attachment)
2.
3.

Actual results:
Lots of messages:
PHP Warning:  require_once(/usr/share/php/Symfony3/Component/Console/autoload.php): failed to open stream: No such file or directory in /usr/lib/rpm/drupal8-find-provides.php on line 31
PHP Fatal error:  require_once(): Failed opening required '/usr/share/php/Symfony3/Component/Console/autoload.php' (include_path='.:/usr/share/pear:/usr/share/php') in /usr/lib/rpm/drupal8-find-provides.php on line 31


Expected results:
No such messages.

Additional info:
I attached a spec file demonstrating the problem.
Uncomment the two BuildRequires lines to not get the warnings and errors.

Comment 1 Fedora Update System 2018-04-27 14:25:35 UTC
drupal8-8.4.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8fd924a53d

Comment 2 Fedora Update System 2018-04-27 14:25:51 UTC
drupal8-8.4.8-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ba93b3144

Comment 3 Shawn Iwinski 2018-04-27 15:58:16 UTC
FYI: The dependency issue was that dnf was not functioning the same way yum does for min+max dependencies and was pulling in Symfony 4 packages instead of Symfony 3 packages.  I had fixed this in the main package via range dependencies, but forgot to fix the rpmbuild sub-package.  It is fixed with this new release.  THANKS for reporting the issue!

Comment 4 Fedora Update System 2018-04-28 01:53:46 UTC
drupal8-8.4.8-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ba93b3144

Comment 5 Fedora Update System 2018-04-28 04:07:48 UTC
drupal8-8.4.8-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8fd924a53d

Comment 6 Fedora Update System 2018-05-09 21:22:54 UTC
drupal8-8.4.8-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-05-10 19:13:47 UTC
drupal8-8.4.8-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.